<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_ShoppingBasketItems StructType
 * @subpackage Structs
 */
class JP_ShoppingBasketItems extends AbstractStructBase
{
    /**
     * The Items
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfString
     */
    public $Items;
    /**
     * Constructor method for JP_ShoppingBasketItems
     * @uses JP_ShoppingBasketItems::setItems()
     * @param \ArrayType\ArrayOfString $items
     */
    public function __construct(\ArrayType\ArrayOfString $items = null)
    {
        $this
            ->setItems($items);
    }
    /**
     * Get Items value
     * @return \ArrayType\ArrayOfString|null
     */
    public function getItems()
    {
        return $this->Items;
    }
    /**
     * Set Items value
     * @param \ArrayType\ArrayOfString $items
     * @return \StructType\JP_ShoppingBasketItems
     */
    public function setItems(\ArrayType\ArrayOfString $items = null)
    {
        $this->Items = $items;
        return $this;
    }
}
